#ifndef _ExtrudedString_h_
#define _ExtrudedString_h_

//   Copyright (c) Gerard Lanois, 2001.
//
//   This program is freely distributable without licensing fees and is
//   provided without guarantee or warrantee expressed or implied. This
//   program is -not- in the public domain. 

#ifdef WIN32
#include <windows.h>
#endif

#include <GL/gl.h> 

#include "FTGLGeometryFont.h"

class ExtrudedString {
public:
   ExtrudedString(
      const char* font_name, 
      const char* text);
   virtual ~ExtrudedString();

   void
   draw(GLdouble extrude_length);

   void 
   getBBox( 
      int& llx, 
      int& lly, 
      int& urx, 
      int& ury );

private:
   ExtrudedString();
   ExtrudedString(const ExtrudedString&);
   ExtrudedString& operator=(const ExtrudedString&);

private:
   char* _font_name;
   char* _text;
   int   _text_length;

   FTGLGeometryFont _font;
};
#endif
