#include	"FTGLGeometryFont.h"
#include	"FTGlyphContainer.h"
#include	"FTGL.h"
#include	"FTGeometryGlyph.h"


FTGLGeometryFont::FTGLGeometryFont()
{}


FTGLGeometryFont::~FTGLGeometryFont()
{
    // FTGlyphContainer deletes the glyph objects for us.
    glyphs.clear();
}


bool FTGLGeometryFont::MakeGlyphList()
{
	for( unsigned int n = 0; n < numGlyphs; ++n)
	{
		FT_Glyph* ftGlyph = face.Glyph( n, FT_LOAD_NO_HINTING | FT_LOAD_NO_BITMAP);
		
		if( ftGlyph)
		{
			FTGeometryGlyph* tempGlyph = new FTGeometryGlyph( *ftGlyph);
			glyphs.push_back(tempGlyph);

            // Base class still needs these, for metrics.
			glyphList->Add( tempGlyph);
		}
		else
		{
			err = face.Error();
		}
	}
	
	return !err;
}

FTFace* FTGLGeometryFont::GetFace()
{
    return &face;
}

vector<FTGeometryGlyph*>* FTGLGeometryFont::GetGlyphList()
{
    return &glyphs;
}

