#ifndef		__FTGLGeometryFont__
#define		__FTGLGeometryFont__

#include "FTGL.h"

#include <vector>

#include "FTFont.h"

using namespace std;


class FTGeometryGlyph;

/**
 * FTGLGeometryFont is a specialisation of the FTFont class for 
 * capturing the outlines and triangles of a font.
 *
 * @see		FTFont
 */
class FTGL_EXPORT FTGLGeometryFont : public FTFont
{
	public:
		/**
		 * Default Constructor
		 */
		FTGLGeometryFont();
		
		/**
		 * Destructor
		 */
		~FTGLGeometryFont();
		
        /**
         * Returns a pointer to the glyph list directly
         */
        vector<FTGeometryGlyph*>* GetGlyphList();

		/**
         * Returns a pointer to the font face.
         */
        FTFace* GetFace();

	private:
        /**
         * Internal glyph cache.
         */
        vector<FTGeometryGlyph*> glyphs;

		/**
		 * Constructs the internal glyph cache.
		 */
		bool MakeGlyphList();
		
};
#endif // __FTGLGeometryFont__
